GET/cosmos/distribution/v1beta1/validators/{validator_address}/slashes

https://rest-cosmos-mainnet.nodit.io/cosmos/distribution/v1beta1/validators/string/slashes

Retrieves the slash events of the validator.

Path Parameters
validator_addressstringrequired

Validator address to query.

Query Parameters
starting_heightstring (uint64)

starting_height defines the optional starting height to query the slashes.

ending_heightstring (uint64)

starting_height defines the optional ending height to query the slashes.

pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
validator_periodstring (uint64)

Validator reward period in which the slash occurred.

fractionstring

Fraction of stake slashed.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU30
cURL
curl -X GET "https://rest-cosmos-mainnet.nodit.io/cosmos/distribution/v1beta1/validators/string/slashes?starting_height=string&ending_height=string&pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "slashes": [
    {
      "validator_period": "string",
      "fraction": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}